export interface Clunk {
    inputs: string[];
    flags: {
        [key: string]: string | boolean | number | null;
    };
}
export interface ConfigItem {
    description?: string;
    type: typeof Boolean | typeof String | typeof Number;
    alias?: string;
}
export interface Config {
    [name: string]: ConfigItem;
}
export type Flags<C extends Config> = {
    [key in keyof C]: ReturnType<C[key]['type']>;
};
export interface Options {
    name?: string;
    version?: string;
}
export declare function parser([item, ...rest]: string[], config: Config, inputs?: Clunk['inputs'], flags?: Clunk['flags']): Clunk;
export declare function clunk<C extends Config>(config?: C, options?: Options): {
    inputs: string[];
    flags: Flags<C>;
};
